Log4j 2 API

The Log4j 2 API provides the interface that applications should code to and provides the adapter components required for implementers to create a logging implementation.

Requirements

As of version 2.4, the Log4j 2 API requires Java 7. Versions 2.3 and earlier require Java 6.

Updated at: 9 months ago
Code Generation ToolTable of contentImplementation